package com.example.pruebamaps.Menu
import okhttp3.logging.HttpLoggingInterceptor
import okhttp3.OkHttpClient
import retrofit2.Call
import retrofit2.Retrofit
import retrofit2.converter.gson.GsonConverterFactory
import retrofit2.http.GET

interface ApiMarker {

    companion object{
        val instance:MarcadorApi by lazy{

            val builder_pedido = Retrofit.Builder()
                .baseUrl("https://productospy.org/api/vendors/")
                .addConverterFactory(GsonConverterFactory.create())

            val client = OkHttpClient.Builder()

            client.addInterceptor(HttpLoggingInterceptor().apply {
                level = HttpLoggingInterceptor.Level.BODY
            })

            builder_pedido.client(client.build())
            builder_pedido.build().create(MarcadorApi::class.java)
        }
    }
}