package com.example.pruebamaps.Slider

import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.ImageView
import android.widget.TextView
import androidx.recyclerview.widget.RecyclerView
import com.example.pruebamaps.R
import com.example.pruebamaps.Slider.IntroSlide


class IntroSliderAdapter(private val IntroSlides: List<IntroSlide>):
    RecyclerView.Adapter<IntroSliderAdapter.IntroSliderViewHolder>() {
    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): IntroSliderViewHolder {
        return IntroSliderViewHolder(
            LayoutInflater.from(parent.context).inflate(
                R.layout.slide_item_container,
                parent,
                false
            )
        )

    }

    override fun getItemCount(): Int {
        return IntroSlides.size
    }

    override fun onBindViewHolder(holder: IntroSliderViewHolder, position: Int) {
       holder.bind(IntroSlides[position])
    }

    inner class IntroSliderViewHolder(view: View) : RecyclerView.ViewHolder(view){
       private val textTitle = view.findViewById<TextView>(R.id.textTittle)
        private val textDescription = view.findViewById<TextView>(R.id.textDescription)
        private val imageIcon = view.findViewById<ImageView>(R.id.imageSliderIcon)
        fun bind(IntroSlide: IntroSlide) {
            textTitle.text = IntroSlide.title
            textDescription.text= IntroSlide.description
          imageIcon.setImageResource(IntroSlide.icon)
            
        }

    }

}