package com.example.pruebamaps.Menu

data class Coordenadas (val type: String, val features: List<Feature>)
data class Feature (val type: FeatureType, val geometry: Geometry, val properties: Properties)
data class Geometry (val type: GeometryType, val coordinates: DoubleArray)
enum class GeometryType { Point }
data class Properties (val nombre: String, val contacto: String, val comentarios: String, val productos: List<Productos>)
data class Productos (val product_name: String, val product_type: String)
enum class FeatureType { Feature }
